Package csb :: Package bio :: Package fragments :: Module rosetta :: Class RosettaFragment

[frames] | no frames]

# Class RosettaFragment

source code

    object --+
             |
            RosettaFragment

Represents a single Rosetta fragment match.

Instance Methods

__init__(self, source_id, qstart, qend, start, end, score, residues) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__iter__(self) | source code

__len__(self) | source code

__lt__(self, other) | source code

__str__(self) str(x) | source code

RosettaFragment

subregion(self, qstart, qend) Extract a subregion from the fragment. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Static Methods

RosettaFragment

from_object(assignment) Factory method: build a rosetta fragment from an assignment object. | source code

Properties
| accession
| chain
| end
| id
| length
| qend
| qstart
| residues
| score
| source_id
| start
| torsion
Inherited from `object`: `__class__`

Method Details

### __init__(self, source_id, qstart, qend, start, end, score, residues)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `source_id` (str) - entry ID of the source PDB chain (in accnC format)
  - `qstart` (int) - start position in target (rank)
  - `qend` (int) - end position in target (rank)
  - `start` (int) - start position in `source` (rank)
  - `end` (int) - end position in `source` (rank)
  - `score` (float) - score of the fragment
  - `residues` (iterable of ResidueInfo) - fragment residue structs
Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

### from_object(assignment)
Static Method

source code

Factory method: build a rosetta fragment from an assignment object.

Parameters:
  - `assignment` (Assignment) - source assignment
Returns: RosettaFragment

### subregion(self, qstart, qend)

source code

Extract a subregion from the fragment.

Parameters:
  - `qstart` (int) - start position in target
  - `qend` (int) - end position in target
Returns: RosettaFragment
  a new fragment (deep copy)

Property Details

### accession

Get Method:
  unreachable.accession(self)

### chain

Get Method:
  unreachable.chain(self)

### end

Get Method:
  unreachable.end(self)

### id

Get Method:
  unreachable.id(self)

### length

Get Method:
  unreachable.length(self)

### qend

Get Method:
  unreachable.qend(self)

### qstart

Get Method:
  unreachable.qstart(self)

### residues

Get Method:
  unreachable.residues(self)

### score

Get Method:
  unreachable.score(self)

### source_id

Get Method:
  unreachable.source_id(self)

### start

Get Method:
  unreachable.start(self)

### torsion

Get Method:
  unreachable.torsion(self)